Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::Sample Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::Sample Class Reference
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::Sample:
[legend]

## Public Member Functions
| Sample ()
| Sample (const Abc::P3fArraySample &iPos)
| Sample (const Abc::P3fArraySample &iPos, const Abc::Int32ArraySample &iNVertices, const CurveType &iType=kCubic, const CurvePeriodicity iWrap=kNonPeriodic, const OFloatGeomParam::Sample &iWidths=OFloatGeomParam::Sample(), const OV2fGeomParam::Sample &iUVs=OV2fGeomParam::Sample(), const ON3fGeomParam::Sample &iNormals=ON3fGeomParam::Sample(), const BasisType &iBasis=kBezierBasis, const Abc::FloatArraySample &iPosWeight=Abc::FloatArraySample(), const Abc::UcharArraySample &iOrders=Abc::UcharArraySample(), const Abc::FloatArraySample &iKnots=Abc::FloatArraySample())
const OFloatGeomParam::Sample & | getWidths () const
void | setWidths (const OFloatGeomParam::Sample &iWidths)
const Abc::P3fArraySample & | getPositions () const
void | setPositions (const Abc::P3fArraySample &iSmp)
const Abc::FloatArraySample & | getPositionWeights () const
void | setPositionWeights (const Abc::FloatArraySample &iSmp)
void | setType (const CurveType &iType)
CurveType | getType () const
void | setWrap (const CurvePeriodicity &iWrap)
CurvePeriodicity | getWrap () const
std::size_t | getNumCurves () const
void | setCurvesNumVertices (const Abc::Int32ArraySample &iNVertices)
const Abc::Int32ArraySample & | getCurvesNumVertices () const
const OV2fGeomParam::Sample & | getUVs () const
void | setUVs (const OV2fGeomParam::Sample &iUVs)
const Abc::Box3d & | getSelfBounds () const
void | setSelfBounds (const Abc::Box3d &iBnds)
const Abc::V3fArraySample & | getVelocities () const
void | setVelocities (const Abc::V3fArraySample &iVelocities)
const ON3fGeomParam::Sample & | getNormals () const
void | setNormals (const ON3fGeomParam::Sample &iNormals)
BasisType | getBasis () const
void | setBasis (const BasisType &iBasis)
const Abc::UcharArraySample & | getOrders () const
void | setOrders (const Abc::UcharArraySample &iOrders)
const Abc::FloatArraySample & | getKnots () const
void | setKnots (const Abc::FloatArraySample &iKnots)
void | reset ()
bool | isPartialSample () const

## Protected Attributes
Abc::P3fArraySample | m_positions
Abc::V3fArraySample | m_velocities
Abc::Int32ArraySample | m_nVertices
CurveType | m_type
CurvePeriodicity | m_wrap
OFloatGeomParam::Sample | m_widths
OV2fGeomParam::Sample | m_uvs
ON3fGeomParam::Sample | m_normals
BasisType | m_basis
Abc::FloatArraySample | m_positionWeights
Abc::UcharArraySample | m_orders
Abc::FloatArraySample | m_knots
Abc::Box3d | m_selfBounds

## Constructor & Destructor Documentation

## ◆ Sample() [1/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::Sample::Sample | ( |  | ) |
| inline

Creates a default sample with no data in it. ...

## ◆ Sample() [2/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::Sample::Sample | ( | const Abc::P3fArraySample & | iPos | ) |
| inline

Creates a sample with position data but no index or count data. For specifying samples after the first one

## ◆ Sample() [3/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::Sample::Sample | ( | const Abc::P3fArraySample & | iPos,
|  | const Abc::Int32ArraySample & | iNVertices,
|  | const CurveType & | iType = kCubic,
|  | const CurvePeriodicity | iWrap = kNonPeriodic,
|  | const OFloatGeomParam::Sample & | iWidths = OFloatGeomParam::Sample(),
|  | const OV2fGeomParam::Sample & | iUVs = OV2fGeomParam::Sample(),
|  | const ON3fGeomParam::Sample & | iNormals = ON3fGeomParam::Sample(),
|  | const BasisType & | iBasis = kBezierBasis,
|  | const Abc::FloatArraySample & | iPosWeight = Abc::FloatArraySample(),
|  | const Abc::UcharArraySample & | iOrders = Abc::UcharArraySample(),
|  | const Abc::FloatArraySample & | iKnots = Abc::FloatArraySample() )
| inline

Creates a sample with position data, index data, count data, and optional UV and Normals data. For specifying samples with an explicit topology. The first sample must be full like this. Subsequent samples may also be full like this, which would indicate a change of topology

## Member Function Documentation

## ◆ setCurvesNumVertices()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema::Sample::setCurvesNumVertices | ( | const Abc::Int32ArraySample & | iNVertices | ) |
| inline

an array of ints that corresponds to the number of vertices per curve

The documentation for this class was generated from the following file:

- AbcGeom/OCurves.h